/* @import "nullstyle.scss";
@import "style-header.scss"; */

/* common styles */

@font-face {
    font-family: "Montserrat";
    font-display: swap;
    src: url("../fonts/Montserrat-Regular.ttf");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Montserrat Bold";
    font-display: swap;
    src: url("../fonts/Montserrat-Bold.ttf");
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: "Lato";
    font-display: swap;
    src: url("../fonts/Lato-Regular.ttf");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Lato Bold";
    font-display: swap;
    src: url("../fonts/Lato-Bold.ttf");
    font-weight: 700;
    font-style: normal;
}

*,
*:before,
*:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

a {
    text-decoration: none;
    color: #000;
}

a:link {
    text-decoration: none;
    color: #000;
}

a:visited {
    text-decoration: none;
    color: #000;
}


p {
    margin: 0px;
    color: #323232;
    text-align: center;
    font-family: "Lato";
    font-size: 14px;
    line-height: 20px;
}

ul {
    list-style: none;
    padding-left: 0px;
}

.main-page {
    margin-right: auto;
    margin-left: auto;
}

.container {
    padding: 0px 10px;
}

h2 {
    margin: 0px;
    color: #635C73;
    text-align: center;
    font-family: "Montserrat Bold";
    font-size: 26px;
    line-height: 28px;
    text-transform: uppercase;
}

h3 {
    margin: 0px;
    color: #8D81AC;
    text-align: center;
    font-family: "Montserrat Bold";
    font-size: 32px;
    line-height: 38px;
}

h4 {
    margin: 0px;
    color: #323232;
    font-family: "Montserrat";
    font-size: 16px;
    line-height: 16px;
}

/* advantages block styles */

.advantages {
    padding-left: 13px;
    padding-right: 14px;
}

.block-wrapper {
    padding-top: 44px;
    padding-bottom: 88px;
}

.block-description {
    padding-top: 27px;
}

.sharing-buttons {
    padding-top: 36px;
    margin: 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    row-gap: 20px;
}

.sharing-item {
    display: flex;
    justify-items: center;

    color: #323232;
    font-family: "Montserrat Bold";

    font-size: 12px;
    line-height: 20px;
    vertical-align: middle;
    cursor: pointer;
}

.share-btns {
    border: 1px solid grey;
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
    background-image: linear-gradient(to bottom, #e3e3e7, #cccccc);
    padding: 5px 15px;
    border-right-width: 0;
}

.share-btns svg {
    vertical-align: text-top;
    padding-right: 4px;
}

.counter {
    display: flex;
    justify-items: center;

    color: #323232;
    font-family: "Montserrat Bold";

    font-size: 12px;
    line-height: 20px;
    vertical-align: middle;
    cursor: pointer;
    border: 1px solid grey;
    border-right-width: 1px;
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
    background-color: white;
    padding: 5px 10px;
}

/* advantages block description styles */

.advantages-description {
    padding-top: 32px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.description-title {
    padding-left: 17px;
    padding-right: 21px;
}

.advantages-description-wrapper {
    margin: 0px;
    padding-top: 36px;
    padding-bottom: 88px;

    padding-left: 13px;
    padding-right: 14px;

    display: flex;
    flex-direction: column;
    row-gap: 35px;
}

.description-item {
    padding-left: 13px;
    padding-right: 14px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.purpose {
    padding-top: 27px;
    padding-bottom: 14px;
}

.purpose-description {
    color: #848E97;
    line-height: 21px;
}

.code-example {
    /* padding-left: 3px;
    padding-bottom: 6px;
    padding-right: 0px; */
}

.code-image {
    margin: 0px 0px 0px 10px;
}


.code-image-small {}

.code-image-big {
    display: none;
}

/* advantages pricing styles */

.advantages-pricing-line {
    width: 80%;
    border: 2px solid #645766;
}

.advantages-pricing {
    background-image: url(../images/pricing-background.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.pricing-title {
    padding-top: 88px;
    padding-bottom: 32px;

    font-family: "Montserrat Bold";
    color: #FFF;
    font-size: 28px;
    line-height: 42px;
    text-transform: none;
}

.pricing-plans {
    margin: 0px;
    padding-bottom: 5px;
    display: grid;
    gap: 18px;
}

.pricing-option {
    border: 5px solid rgba(255, 255, 255, 0.11);
    background-color: rgba(255, 255, 255, 0.11);
}

.pricing-header {
    padding: 36px 49px;
    background-color: rgba(255, 255, 255, 0.06);
}

.option-4-title {
    color: #ffffff;
    font-family: "Montserrat";
    font-size: 24px;
    line-height: 24px;
    text-transform: uppercase;
}

.option-description {
    padding-top: 30px;
}

.price-period {
    color: #FFF;
    font-family: "Montserrat";
    font-size: 14px;
    line-height: 16px;
    text-transform: uppercase;
}

.price-period span {
    color: #FFF;
    font-family: "Montserrat Bold";
    font-size: 60px;
    line-height: 62px;
    text-transform: uppercase;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 5px;
}

.section-line {
    margin-top: 38px;
    margin-bottom: 30px;

    width: 60px;
    border: 3px solid #8D81AC;
}

.license-type {
    padding-bottom: 37px;
    color: #FFF;
    font-family: "Montserrat";
    font-size: 16px;
    line-height: 28px;
}

.button-wrapper {
    padding-bottom: 36px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.purchase-btn {
    background-color: rgba(255, 255, 255, 0.06);
    border-radius: 25px;
    border: 0;
    padding: 13.5px 37px;
}

.purchase-btn a {
    color: #FFF;
    text-align: center;
    font-family: 'Montserrat';
    font-size: 15px;
    line-height: 15px;
    text-transform: uppercase;
}


.recommended-option {
    position: relative;

    grid-column: span 1;
    border: 0px;
    margin: 0px -5px 0px -5px;

    background-color: rgba(70, 48, 72, 1);
}

/* //задати мінімальну висоту
спробувати зробити флексами */



.recommended-header {
    background-color: rgba(0, 0, 0, 0.35);
}

/* responsive styles */



https: //gitlab.com/m.i.prykhodko/forkio.git




@media (min-width: 768px) {

    /* // контейнер не ставити */
    .container {
        max-width: 1200px;
        display: flex;
        flex-direction: column;
        justify-items: center;
        align-items: center;
    }

    .code-image-big {
        display: none;
    }

    .pricing-title {
        font-size: 42px;
        line-height: 44px;
    }

    .pricing-plans {
        grid-template-columns: repeat(2, 1fr);
        padding-bottom: 153px;
        gap: 20px;
    }




    .recommended-option {
        margin: -20px -10px -40px -10px;
    }
}



/* @media (min-width: 320px) and (max-width: 480px) {
    .container {
        max-width: 480px;
        display: flex;
        flex-direction: column;
        justify-items: center;
        align-items: center;
    }

}

@media (min-width: 481px) and (max-width: 992px) {
    .container {
        max-width: 992px;
        display: flex;
        flex-direction: column;
        justify-items: center;
        align-items: center;
    }
}


@media (min-width: 993px) and (max-width: 1200px) {
    .container {
        max-width: 1200px;
        display: flex;
        flex-direction: column;
        justify-items: center;
        align-items: center;
    }
} */


/* Стилі для екранів шириною 320px і більше до 767px */
/* @media (min-width: 320px) and (max-width: 767px) {
    .pricing-plans {
        grid-template-columns: 1fr; Одна колонка */
/* }
} */

/* Стилі для екранів шириною 768px і більше */
/* @media (min-width: 768px) {
    .pricing-plans {
        grid-template-columns: repeat(2, 1fr); /* Дві колонки */
/* }
} */